package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.DeviceDeliveryStatusEnum;
import com.qmth.sop.common.enums.DeviceStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class DevicePlaceResult implements Serializable {

    @ApiModelProperty("主键ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("设备序列号")
    private String serialNo;

    @ApiModelProperty("设备型号")
    private String model;

    @ApiModelProperty("设备状态")
    private DeviceStatusEnum deviceStatus;

    @ApiModelProperty("设备归属")
    private String supplierName;

    @ApiModelProperty("设备使用状态")
    private DeviceDeliveryStatusEnum status;

    @ApiModelProperty("接收方单号")
    private String receiveCrmNo;

    @ApiModelProperty("运输方式")
    private String transferMode;

    @ApiModelProperty("是否被签收，针对设备使用状态为入库、中转")
    private Boolean haveSign;

    @ApiModelProperty("其他运输方式说明")
    private String remark;

    @ApiModelProperty("快递单号")
    private String expressNo;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public DeviceStatusEnum getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(DeviceStatusEnum deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public DeviceDeliveryStatusEnum getStatus() {
        return status;
    }

    public void setStatus(DeviceDeliveryStatusEnum status) {
        this.status = status;
    }

    public String getReceiveCrmNo() {
        return receiveCrmNo;
    }

    public void setReceiveCrmNo(String receiveCrmNo) {
        this.receiveCrmNo = receiveCrmNo;
    }

    public String getTransferMode() {
        return transferMode;
    }

    public void setTransferMode(String transferMode) {
        this.transferMode = transferMode;
    }

    public Boolean getHaveSign() {
        return haveSign;
    }

    public void setHaveSign(Boolean haveSign) {
        this.haveSign = haveSign;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getExpressNo() {
        return expressNo;
    }

    public void setExpressNo(String expressNo) {
        this.expressNo = expressNo;
    }
}
